- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists threads in a 1:1 App DM space.
Supports the following types of authentication:
- App authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
Only supported in 1:1 App DM spaces. Calls in other space types or using user authentication will return an error.
HTTP request
GET https://chat.googleapis.com/v1/{parent=spaces/*}/threads
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the space to list threads from. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of threads to return. The service may return fewer than this value. If unspecified, at most 50 threads will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous |
Request body
The request body must be empty.
Response body
Response message for threads.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"threads": [
{
object ( |
| Fields | |
|---|---|
threads[] |
List of threads. Ordered in reverse chronological order based on the thread creation timestamp. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.bot
For more information, see the Authorization guide.